## olena-2.1.tar.gz

=== milena/doc/technical/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# milena/doc/technical/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2009 EPITA Research and Development Laboratory (LRDE).
#
# This file is part of Olena.
#
# Olena is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, version 2 of the License.
#
# Olena is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Olena.  If not, see <http://www.gnu.org/licenses/>.
#

#								-*- Automake -*-

# Copyright (C) 2008, 2009 EPITA Research and Development Laboratory
# (LRDE).
#
# This file is part of Olena.
#
# Olena is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, version 2 of the License.
#
# Olena is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Olena.  If not, see <http://www.gnu.org/licenses/>.

# FIXME: Revamp (see Olena 0.11's test suite).

VPATH = ../../../../milena/doc/technical
pkgdatadir = $(datadir)/olena
pkgincludedir = $(includedir)/olena
pkglibdir = $(libdir)/olena
pkglibexecdir = $(libexecdir)/olena
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = $(dist_doc_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/extra-recursive-targets.mk \
	$(top_srcdir)/milena/doc/doc.mk \
	$(top_srcdir)/milena/tests/tests-recursive.mk \
	$(top_srcdir)/milena/tests/tests.mk
subdir = milena/doc/technical
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/oln-with-lib.m4 $(top_srcdir)/m4/pypath.m4 \
	$(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/with-swilena.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(docdir)"
DATA = $(dist_doc_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run tar
APPS_CXXFLAGS = -O3 -DNDEBUG -ggdb -Wall -W
AR = ar
AUTOCONF = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run automake-1.11
AWK = gawk
CC = ccache gcc
CCDEPMODE = depmode=gcc3
CFITSIO_CPPFLAGS = 
CFITSIO_LDFLAGS =  -lcfitsio 
CFLAGS = -g -O2
CPP = ccache gcc -E
CPPFLAGS = 
CXX = ccache g++
CXXCPP = ccache g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -pipe
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F

# Flags for optional dependencies.
GDCM_CPPFLAGS = 
GDCM_LDFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAGICKXX_CPPFLAGS = -I-I/usr/include/ImageMagick/include
MAGICKXX_LDFLAGS = -L-I/usr/include/ImageMagick/lib
MAKEINFO = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = olena
PACKAGE_BUGREPORT = olena@lrde.epita.fr
PACKAGE_NAME = Olena
PACKAGE_STRING = Olena 1.0a
PACKAGE_TARNAME = olena
PACKAGE_URL = 
PACKAGE_VERSION = 1.0a
PATH_SEPARATOR = :
PYTHON = /usr/bin/python
PYTHONINC = /usr/include/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SWIG = /usr/bin/swig
SWIG_LIB = /usr/share/swig1.3
TESSERACT_CPPFLAGS = 
TESSERACT_LDFLAGS = 

# FIXME: Add
#
#   AM_CXXFLAGS = $(CXXFLAGS_STRICT) $(CXXFLAGS_DEBUG)
#
# when oln.m4 (or just a part of it) is available in the distribution,
# instead of using the hand-made TESTS_CXXFLAGS.
TESTS_CXXFLAGS = -O0 -ggdb -Wall -W
TESTS_CXXFLAGS_DEBUG = -O0 -ggdb -Wall -W -D_GLIBCXX_DEBUG -D_GLIBCXX_CONCEPT_CHECKS
TESTS_CXXFLAGS_SPEED = -O3 -DNDEBUG -ggdb -Wall -W
TIFF_CPPFLAGS = 
TIFF_LDFLAGS =  -ltiff 
TOOLS_CXXFLAGS = -O3 -DNDEBUG -ggdb -Wall -W
VERSION = 1.0a
WARNINGS_CXXFLAGS = -Wall -W
abs_builddir = /home/levill_r/src/olena/_build/milena/doc/technical
abs_srcdir = /home/levill_r/src/olena/_build/../milena/doc/technical
abs_top_builddir = /home/levill_r/src/olena/_build
abs_top_srcdir = /home/levill_r/src/olena/_build/..
ac_ct_CC = ccache gcc
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/levill_r/src/olena/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/olena
pkgpythondir = ${pythondir}/olena
prefix = /home/levill_r/src/olena/_build/../_inst
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../../../../milena/doc/technical
subdirs =  external/trimesh
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../../..

# Look for Milena header in srcdir and for (generated) test headers
# (like data.hh) in builddir.
AM_CPPFLAGS = -I$(top_srcdir)/milena -I$(top_builddir)/milena \
	-I$(top_srcdir)/milena/doc/tutorial/tools
AM_CXXFLAGS = $(TESTS_CXXFLAGS)

# Sometimes, we just want to check whether tests compile, without
# actually running them.  Hence this `tests' target, which does half
# the job of the `check' target.
EXTRA_RECURSIVE_TARGETS = tests-recursive
DOC_SRCDIR = $(top_srcdir)/milena/doc
OUTPUTS_SRCDIR = $(DOC_SRCDIR)/outputs
SPLIT_OUTPUTS_SRCDIR = $(OUTPUTS_SRCDIR)/split
FIGURES_SRCDIR = $(DOC_SRCDIR)/figures
EXAMPLES_SRCDIR = $(DOC_SRCDIR)/examples
SPLIT_EXAMPLES_SRCDIR = $(EXAMPLES_SRCDIR)/split
IMG_SRCDIR = $(DOC_SRCDIR)/img
TEXINPUTS = "$(DOC_SRCDIR):$(OUTPUTS_SRCDIR):$(srcdir):\
$(SPLIT_OUTPUTS_SRCDIR):$(IMG_SRCDIR):$(SPLIT_EXAMPLES_SRCDIR):"


# FIXME: As in milena/doc/Makefile.am, we should probably strip
# $(srcdir) prefixes from target variables, e.g. instead of:
#
#   FOO = $(srcdir)/foo.pdf
#   $(FOO): foo.tex bar.tex
#   dist_doc_DATA = $(FOO)
#
# we should use:
#
#   FOO = foo.pdf
#   $(srcdir)/$(FOO): foo.tex bar.tex
#   dist_doc_DATA = $(FOO)
#
# since it minimizes installation issues (see milena/doc/Makefile.am
# and Vaucanson's doc/Makefile.am).

# FIXME: Distributed products should be generated in the source dir.
# That's actually the case, *but* the current solution is not clean
# and might break sometimes.  The clean approach is to create a
# temporary directory, try to generate the documentation there, and
# move its contents to the source dir in case of success.  If the
# product is a directory, also refresh a timestamp (in the source
# dir).

# Intermediate product for the various doc targets of the parent
# directory.
#
# This is not a bug: TECHNICAL_HH is meant to have a `.hh'
# extension, since it is later parsed by Doxygen, which complains
# about `.html' files.
TECHNICAL_HH = $(srcdir)/technical.hh

# Final product.
TECHNICAL_PDF = $(srcdir)/technical.pdf
dist_doc_DATA = $(TECHNICAL_PDF)
EXTRA_DIST = \
  technical.tex					\
  $(TECHNICAL_HH)

CLEANFILES = \
  technical.aux technical.toc technical.log technical.bbl technical.out	\
  *blg *.lot								\
  $(TECHNICAL_PDF)							\
  *.haux *.hh *.html *.htoc						\
  technical.html							\
  technical.idx								\
  $(TECHNICAL_HH)

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/milena/doc/doc.mk $(top_srcdir)/milena/tests/tests.mk $(top_srcdir)/milena/tests/tests-recursive.mk $(top_srcdir)/build-aux/extra-recursive-targets.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign milena/doc/technical/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign milena/doc/technical/Makefile
.PRECIOUS: Makefile

=== milena/doc/tutorial/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# milena/doc/tutorial/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2008, 2009 EPITA Research and Development Laboratory (LRDE).
#
# This file is part of Olena.
#
# Olena is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, version 2 of the License.
#
# Olena is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Olena.  If not, see <http://www.gnu.org/licenses/>.
#

#								-*- Automake -*-

# Copyright (C) 2008, 2009 EPITA Research and Development Laboratory
# (LRDE).
#
# This file is part of Olena.
#
# Olena is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, version 2 of the License.
#
# Olena is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Olena.  If not, see <http://www.gnu.org/licenses/>.

# FIXME: Revamp (see Olena 0.11's test suite).

VPATH = ../../../../milena/doc/tutorial
pkgdatadir = $(datadir)/olena
pkgincludedir = $(includedir)/olena
pkglibdir = $(libdir)/olena
pkglibexecdir = $(libexecdir)/olena
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = $(dist_doc_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/extra-recursive-targets.mk \
	$(top_srcdir)/milena/doc/doc.mk \
	$(top_srcdir)/milena/tests/tests-recursive.mk \
	$(top_srcdir)/milena/tests/tests.mk
subdir = milena/doc/tutorial
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/oln-with-lib.m4 $(top_srcdir)/m4/pypath.m4 \
	$(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/with-swilena.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(docdir)"
DATA = $(dist_doc_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run tar
APPS_CXXFLAGS = -O3 -DNDEBUG -ggdb -Wall -W
AR = ar
AUTOCONF = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run automake-1.11
AWK = gawk
CC = ccache gcc
CCDEPMODE = depmode=gcc3
CFITSIO_CPPFLAGS = 
CFITSIO_LDFLAGS =  -lcfitsio 
CFLAGS = -g -O2
CPP = ccache gcc -E
CPPFLAGS = 
CXX = ccache g++
CXXCPP = ccache g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =  -pipe
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F

# Flags for optional dependencies.
GDCM_CPPFLAGS = 
GDCM_LDFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAGICKXX_CPPFLAGS = -I-I/usr/include/ImageMagick/include
MAGICKXX_LDFLAGS = -L-I/usr/include/ImageMagick/lib
MAKEINFO = ${SHELL} /home/levill_r/src/olena/build-aux/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = olena
PACKAGE_BUGREPORT = olena@lrde.epita.fr
PACKAGE_NAME = Olena
PACKAGE_STRING = Olena 1.0a
PACKAGE_TARNAME = olena
PACKAGE_URL = 
PACKAGE_VERSION = 1.0a
PATH_SEPARATOR = :
PYTHON = /usr/bin/python
PYTHONINC = /usr/include/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SWIG = /usr/bin/swig
SWIG_LIB = /usr/share/swig1.3
TESSERACT_CPPFLAGS = 
TESSERACT_LDFLAGS = 

# FIXME: Add
#
#   AM_CXXFLAGS = $(CXXFLAGS_STRICT) $(CXXFLAGS_DEBUG)
#
# when oln.m4 (or just a part of it) is available in the distribution,
# instead of using the hand-made TESTS_CXXFLAGS.
TESTS_CXXFLAGS = -O0 -ggdb -Wall -W
TESTS_CXXFLAGS_DEBUG = -O0 -ggdb -Wall -W -D_GLIBCXX_DEBUG -D_GLIBCXX_CONCEPT_CHECKS
TESTS_CXXFLAGS_SPEED = -O3 -DNDEBUG -ggdb -Wall -W
TIFF_CPPFLAGS = 
TIFF_LDFLAGS =  -ltiff 
TOOLS_CXXFLAGS = -O3 -DNDEBUG -ggdb -Wall -W
VERSION = 1.0a
WARNINGS_CXXFLAGS = -Wall -W
abs_builddir = /home/levill_r/src/olena/_build/milena/doc/tutorial
abs_srcdir = /home/levill_r/src/olena/_build/../milena/doc/tutorial
abs_top_builddir = /home/levill_r/src/olena/_build
abs_top_srcdir = /home/levill_r/src/olena/_build/..
ac_ct_CC = ccache gcc
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/levill_r/src/olena/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/olena
pkgpythondir = ${pythondir}/olena
prefix = /home/levill_r/src/olena/_build/../_inst
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../../../../milena/doc/tutorial
subdirs =  external/trimesh
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../../..

# Look for Milena header in srcdir and for (generated) test headers
# (like data.hh) in builddir.
AM_CPPFLAGS = -I$(top_srcdir)/milena -I$(top_builddir)/milena \
	-I$(top_srcdir)/milena/doc/tutorial/tools
AM_CXXFLAGS = $(TESTS_CXXFLAGS)

# Sometimes, we just want to check whether tests compile, without
# actually running them.  Hence this `tests' target, which does half
# the job of the `check' target.
EXTRA_RECURSIVE_TARGETS = tests-recursive
DOC_SRCDIR = $(top_srcdir)/milena/doc
OUTPUTS_SRCDIR = $(DOC_SRCDIR)/outputs
SPLIT_OUTPUTS_SRCDIR = $(OUTPUTS_SRCDIR)/split
FIGURES_SRCDIR = $(DOC_SRCDIR)/figures
EXAMPLES_SRCDIR = $(DOC_SRCDIR)/examples
SPLIT_EXAMPLES_SRCDIR = $(EXAMPLES_SRCDIR)/split
IMG_SRCDIR = $(DOC_SRCDIR)/img
TEXINPUTS = $(DOC_SRCDIR):$(OUTPUTS_SRCDIR):$(IMG_SRCDIR):

# FIXME: As in milena/doc/Makefile.am, we should probably strip
# $(srcdir) prefixes from target variables, e.g. instead of:
#
#   FOO = $(srcdir)/foo.pdf
#   $(FOO): foo.tex bar.tex
#   dist_doc_DATA = $(FOO)
#
# we should use:
#
#   FOO = foo.pdf
#   $(srcdir)/$(FOO): foo.tex bar.tex
#   dist_doc_DATA = $(FOO)
#
# since it minimizes installation issues (see milena/doc/Makefile.am
# and Vaucanson's doc/Makefile.am).

# FIXME: Distributed products should be generated in the source dir.
# That's actually the case, *but* the current solution is not clean
# and might break sometimes.  The clean approach is to create a
# temporary directory, try to generate the documentation there, and
# move its contents to the source dir in case of success.  If the
# product is a directory, also refresh a timestamp (in the source
# dir).

# Intermediate product for the various doc targets of the parent
# directory.
#
# This is not a bug: TUTORIAL_HH is meant to have a `.hh' extension,
# since it is later parsed by Doxygen, which complains about `.html'
# files.
TUTORIAL_HH = $(srcdir)/tutorial.hh

# Final product.
TUTORIAL_PDF = $(srcdir)/tutorial.pdf
dist_doc_DATA = $(TUTORIAL_PDF)
EXTRA_DIST = \
  tutorial.tex					\
  $(TUTORIAL_HH)

CLEANFILES = \
  tutorial.aux tutorial.toc tutorial.log tutorial.bbl tutorial.out	\
  *blg *.lot								\
  $(TUTORIAL_PDF)							\
  *.haux *.hh *.html *.htoc						\
  tutorial.haux								\
  tutorial.html								\
  tutorial.idx								\
  $(TUTORIAL_HH)

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/milena/doc/doc.mk $(top_srcdir)/milena/tests/tests.mk $(top_srcdir)/milena/tests/tests-recursive.mk $(top_srcdir)/build-aux/extra-recursive-targets.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign milena/doc/tutorial/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign milena/doc/tutorial/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \

=== scribo/doc/user-refman/latex/Makefile ===
all: refman.pdf

pdf: refman.pdf

refman.pdf: clean refman.tex
	pdflatex refman
	makeindex refman.idx
	bibtex refman
	pdflatex refman
	pdflatex refman
	latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      pdflatex refman ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done


clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out *.brf *.blg *.bbl refman.pdf

=== debian/changelog ===
olena (2.0-1) wheezy; urgency=low

  * Initial release (Closes: #657974)

 -- Olena Team - EPITA Research and Development Laboratory (LRDE) <olena@lrde.epita.fr>  Wed, 23 May 2012 11:19:13 +0200

=== debian/control ===
Source: olena
Section: devel
Priority: optional
Maintainer: Olena Team - EPITA Research and Development Laboratory (LRDE) <olena@lrde.epita.fr>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, dpkg-dev (>= 1.13.19)
Standards-Version: 3.9.3
Vcs-Browser: http://git.lrde.epita.fr/?p=olena.git;a=summary
Vcs-Git: git://git.lrde.epita.fr/olena
Homepage: http://olena.lrde.epita.fr


Package: olena
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, olena-dev, olena-bin
Description: Generic image processing platform written in C++
 Olena is a platform dedicated to image processing and pattern
 recognition. Its core component is a generic and efficient C++ library
 called Milena. Milena provides a framework to implement simple, fast,
 safe, reusable and extensible image processing tool chains. The
 library provides many ready-to-use image data structures (regular 1D,
 2D, 3D images, graph-based images, etc.) and algorithms. Milena's
 algorithms are built upon classical entities from the image processing
 field (images, points/sites, domains, neighborhoods, etc.). This
 design allows image processing developers and practitioners to easily
 understand, modify, develop and extend new algorithms while retaining
 the core traits of Milena: genericity and efficiency.
 .
 On top of Milena, the Olena platform also features optional modules
 such as Swilena, a component exposing Milena to other languages thanks
 to the Simplified Wrapper and Interface Generator (SWIG); and the
 SCRIBO module for Document Image Analysis.
 .
 This is a metapackage installing the whole platform.


Package: olena-bin
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libtesseract-dev (>= 3.02),
	libgraphicsmagick++1-dev,
	graphicsmagick-libmagick-dev-compat,
	libqt4-dev,
	xsltproc,
	fop
Description: Set of tools based on Olena
 Several tools for manipulating images. It includes document image
 analysis tools, several binarization algorithms and text detection in
 pictures.
 .
 A graphical user interface is also provided on top of the command
 line tools. It allows the user to analyze image document layout,
 recognize text through an OCR and export them as PDF or HTML. The
 document produced preserve the layout, make the text selectable and
 preserve images.
 .
 Several implementations of Sauvola's binarization is provided. This
 is a binarization algorithm well suited for documents.
 .
 A tool finding and recognizing text in pictures is also provided.


Package: olena-dev
Architecture: all
Depends:
	${misc:Depends}
Recommends:
	libgraphicsmagick++1-dev,
	graphicsmagick-libmagick-dev-compat,
Suggests:
	libqt4-dev,
	libtesseract-dev (>= 3.02)
Description: Development files for Olena
 This package includes all the development files needed to use Olena,
 a C++ generic image processing platform.
 .
 It includes headers files for Milena, the core image processing
 library of Olena and header files for Scribo, a document image
 analysis framework.
 .
 Headers provide core algorithms, image data structures, input/output
 routines and working toolchains to perform full treatments on
 specific data like finding text in pictures, analyze document image
 structure or working with mathematical morphology.
 .
 It also includes the full HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./bootstrap
	dh_auto_configure -- --enable-scribo --libexecdir=/usr/lib

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp -type d -empty -delete

=== debian/watch ===
# Used to check for newer versions of upstream software is available
# and to download it if necessary.
# See http://wiki.debian.org/debian/watch/
version=3
http://www.lrde.epita.fr/dload/olena/olena-(.+).tar.bz2
